## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate warp

Name:           rust-warp
Version:        0.3.7
Release:        %autorelease
Summary:        Serve the web at warp speeds

License:        MIT
URL:            https://crates.io/crates/warp
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused tls feature
Patch:          warp-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Serve the web at warp speeds.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-compression-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-compression-devel %{_description}

This package contains library source intended for building other packages which
use the "async-compression" feature of the "%{crate}" crate.

%files       -n %{name}+async-compression-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-devel %{_description}

This package contains library source intended for building other packages which
use the "compression" feature of the "%{crate}" crate.

%files       -n %{name}+compression-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-brotli-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-brotli-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-brotli" feature of the "%{crate}" crate.

%files       -n %{name}+compression-brotli-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-gzip-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-gzip-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-gzip" feature of the "%{crate}" crate.

%files       -n %{name}+compression-gzip-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+multer-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+multer-devel %{_description}

This package contains library source intended for building other packages which
use the "multer" feature of the "%{crate}" crate.

%files       -n %{name}+multer-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+multipart-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+multipart-devel %{_description}

This package contains library source intended for building other packages which
use the "multipart" feature of the "%{crate}" crate.

%files       -n %{name}+multipart-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-tungstenite-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-tungstenite-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-tungstenite" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-tungstenite-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+websocket-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+websocket-devel %{_description}

This package contains library source intended for building other packages which
use the "websocket" feature of the "%{crate}" crate.

%files       -n %{name}+websocket-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
## START: Generated by rpmautospec
* Tue Apr 30 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.7-1
- Update to version 0.3.7; Fixes RHBZ#2273700

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 31 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.6-2
- Bump tracing-log dependency from 0.1 to 0.2

* Sat Oct 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.6-1
- Update to version 0.3.6; Fixes RHBZ#2240991

* Sun Sep 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.5-6
- Bump tokio-tungstenite dependency from 0.18 to 0.20

* Fri Sep 01 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.5-5
- Re-enable tests

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.5-3
- Disable tests again (missing dependencies on Fedora 38+)

* Mon Jul 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.5-2
- Bump async-compression dependency from 0.3 to 0.4 and enable tests

* Fri Apr 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.5-1
- Update to version 0.3.5; Fixes RHBZ#2130320

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Sep 28 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-5
- Drop unused multipart feature with outdated dependencies

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 20 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-3
- Bump tokio-tungstenite from 0.15 to 0.17

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 06 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2; Fixes RHBZ#2021636

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Mar 25 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-1
- Update to version 0.3.1.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Nov 08 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.5-2
- Drop tls feature (rustls and tokio-rustls are not packaged).

* Mon Sep 21 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.5-1
- Update to version 0.2.5.

* Tue Aug 25 2020 Josh Stone <jistone@redhat.com> - 0.2.4-1
- Update to 0.2.4

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed May 20 2020 Josh Stone <jistone@redhat.com> - 0.2.3-1
- Update to 0.2.3

* Wed Mar 18 17:32:18 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2

* Thu Feb 13 2020 Josh Stone <jistone@redhat.com> - 0.2.1-2
- Bump handlebars to 3.0.0
- Bump pretty_env_logger to 0.4.0

* Tue Feb 11 11:54:31 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 13 17:33:01 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.20-1
- Update to 0.1.20

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 13 11:20:16 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.17-1
- Update to 0.1.17

* Tue Apr 02 2019 Josh Stone <jistone@redhat.com> - 0.1.15-1
- Update to 0.1.15

* Wed Mar 20 10:08:23 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.14-1
- Update to 0.1.14

* Thu Mar 14 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.13-1
- Initial package

## END: Generated by rpmautospec
